## ros-eloquent-py-trees 2.0.15

=== debian/changelog ===
ros-eloquent-py-trees (2.0.15-1bionic) bionic; urgency=high

  * [composites] fix current_child problems on dynamic child insertion/removal, #289 <https://github.com/splintered-reality/py_trees_ros/pull/289>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-eloquent-py-trees (2.0.14-1bionic) bionic; urgency=high

  * [blackboard] bugfix metadata not created on static set, #286 <https://github.com/splintered-reality/py_trees_ros/pull/286>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2020 04:00:00 -0000

ros-eloquent-py-trees (2.0.13-1bionic) bionic; urgency=high

  * [composites] parallel bugfix to invalidate correctly, #285 <https://github.com/splintered-reality/py_trees/pull/285>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 24 Mar 2020 04:00:00 -0000

ros-eloquent-py-trees (2.0.12-1bionic) bionic; urgency=high

  * [idioms] the either_or pattern, designed to replace the Chooser, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [behaviours] TickCounter, a timer based on tree ticks, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [behaviours] CheckBlackboardVariableValues, logical checks across multiple values, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [common] ComparisonExpression, a more concise way of storing checkers, #283 <https://github.com/splintered-reality/py_trees/pull/283>
  * [composites] protect against adding a child to multiple parents, #281 <https://github.com/splintered-reality/py_trees/pull/281>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-eloquent-py-trees (2.0.11-1bionic) bionic; urgency=high

  * [display] completely remove blackboard variables from the dot layout, #280 <https://github.com/splintered-reality/py_trees/pull/280>

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2020 05:00:00 -0000

ros-eloquent-py-trees (2.0.10-1bionic) bionic; urgency=high

  * [trees] setup timeout error with last behaviour name included in the error message, #279 <https://github.com/splintered-reality/py_trees/pull/279>
  * [blackboard] rooted variables in namespaced clients working as designed, fixed docs, #277 <https://github.com/splintered-reality/py_trees/pull/277>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Feb 2020 05:00:00 -0000

ros-eloquent-py-trees (2.0.9-1bionic) bionic; urgency=high

  * [demos] display modes demonstrating usage of various options, #275 <https://github.com/splintered-reality/py_trees/pull/275>
  * [display] enforce left to right ordering of children in dot graphs

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 14 Feb 2020 05:00:00 -0000

ros-eloquent-py-trees (2.0.8-1bionic) bionic; urgency=high

  * [display] bugfix and use elipsis on ascii visited only display modes, #273 <https://github.com/splintered-reality/py_trees/pull/273>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 01 Feb 2020 05:00:00 -0000

ros-eloquent-py-trees (2.0.7-1bionic) bionic; urgency=high

  * [display] option for only visited behaviours in text tree snapshot displays, #272 <https://github.com/splintered-reality/py_trees/pull/272>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-eloquent-py-trees (2.0.5-1bionic) bionic; urgency=high

  * [display] enum agnostic display for local and remote activity view displays

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 25 Dec 2019 05:00:00 -0000

ros-eloquent-py-trees (2.0.4-1bionic) bionic; urgency=high

  * [display] optional show_title in unicode_blackboard_activity_stream

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Nov 2019 05:00:00 -0000

ros-eloquent-py-trees (2.0.3-1bionic) bionic; urgency=high

  * [trees] revert to using user signals if available to avoid shenanigans with SIGINT, #264 <https://github.com/splintered-reality/py_trees/pull/264>
  * [trees] play nicely, reset signal handlers after setup, #262 <https://github.com/splintered-reality/py_trees/pull/262>
  * [visitors] bugfix the snapshot visitor to look for exclusive write keys as well

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Nov 2019 05:00:00 -0000

ros-eloquent-py-trees (2.0.1-1bionic) bionic; urgency=high

  * [blackboard] static methods have a namespace too (root), use absolute names, #261 <https://github.com/splintered-reality/py_trees/pull/261>
  * [blackboard] do not register keys on the client when xclusive write aborts the process, #261 <https://github.com/splintered-reality/py_trees/pull/261>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 19 Nov 2019 05:00:00 -0000

ros-eloquent-py-trees (1.3.3-1bionic) bionic; urgency=high

  * [blackboard] client ``Blackboard.unregister_key()`` method

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Oct 2019 04:00:00 -0000

ros-eloquent-py-trees (1.3.2-1bionic) bionic; urgency=high

  * [blackboard] global ``Blackboard.clear()`` method

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Oct 2019 04:00:00 -0000

ros-eloquent-py-trees (1.3.1-1bionic) bionic; urgency=high

  * [blackboard] don't do any copying, just pass handles around, #239 <https://github.com/splintered-reality/py_trees/pull/239>
  * [blackboard] client ``exists()`` method, #238 <https://github.com/splintered-reality/py_trees/pull/238>
  * [blackboard] global ``Blackboard.set()`` method
  * [blackboard] client ``Blackboard.unset()`` method, #239 <https://github.com/splintered-reality/py_trees/pull/239>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Oct 2019 04:00:00 -0000

ros-eloquent-py-trees (1.2.2-1bionic) bionic; urgency=high

  * [trees] standalone ``setup()`` method with timer for use on unmanaged trees, #198 <https://github.com/splintered-reality/py_trees/pull/198>
  * [examples] fix api in ``skeleton_tree.py``,  #199 <https://github.com/splintered-reality/py_trees/pull/199>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Aug 2019 04:00:00 -0000

ros-eloquent-py-trees (1.2.1-1bionic) bionic; urgency=high


